Bug 557390 - Review Request: ghc-stm - Haskell Software Transactional Memory library
Review Request: ghc-stm - Haskell Software Transactional Memory library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks: haskell-platform 555443
  Show dependency treegraph
 
Reported: 2010-01-21 05:06 EST by Jens Petersen
Modified: 2010-10-05 09:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-27 02:17:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rpandit: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2010-01-21 05:06:56 EST
Spec URL: http://petersen.fedorapeople.org/ghc-stm/ghc-stm.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-stm/ghc-stm-2.1.1.2-1.fc12.src.rpm
Description: Haskell Software Transactional Memory library
Comment 1 Jens Petersen 2010-01-21 05:07:54 EST
This is part of haskell-platform.
Comment 3 Rakesh Pandit 2010-01-24 05:43:41 EST
urlgrabber.grabber.URLGrabError: [Errno 14] HTTP Error 404 : http://petersen.fedorapeople.org/ghc-stm/ghc-stm-2.1.1.2-2.fc12.src.rpm

SRPM URL is 404
Comment 4 Rakesh Pandit 2010-01-24 05:55:12 EST
[+] Build - http://koji.fedoraproject.org/koji/taskinfo?taskID=1941080  - fine
[+] source ok
from srpm (sha1sum)

[rakesh@dhcp1-96 SPECS]$ sha1sum stm-2.1.1.2.tar.gz 
f0b8264a0fa3a04163ccda0c7250a8c87edcf06e  stm-2.1.1.2.tar.gz
[rakesh@dhcp1-96 SPECS]$ sha1sum ../SOURCES/stm-2.1.1.2.tar.gz 
f0b8264a0fa3a04163ccda0c7250a8c87edcf06e  ../SOURCES/stm-2.1.1.2.tar.gz

[+] name fine
[+] URL fine
[+] rpmlint - ok 

[rakesh@dhcp1-96 SPECS]$ rpmlint /home/rakesh/rpmbuild/SRPMS/ghc-stm-2.1.1.2-2.fc13.src.rpm
ghc-stm.src: W: spelling-error-in-summary en_US Haskell
ghc-stm.src: W: spelling-error-in-summary en_US Transactional
ghc-stm.src: W: spelling-error-in-description en_US composable
ghc-stm.src: W: spelling-error-in-description en_US Haskell
ghc-stm.src: W: strange-permission stm-2.1.1.2.tar.gz 0600L
ghc-stm.src: W: no-cleaning-of-buildroot %install
ghc-stm.src: W: no-buildroot-tag
1 packages and 0 specfiles checked; 0 errors, 7 warnings.

Ignored.

[rakesh@dhcp1-96 SPECS]$ rpmlint /home/rakesh/rpmbuild/RPMS/i686/ghc-stm-2.1.1.2-2.fc13.i686.rpm
ghc-stm.i686: W: spelling-error-in-summary en_US Haskell
ghc-stm.i686: W: spelling-error-in-summary en_US Transactional
ghc-stm.i686: W: spelling-error-in-description en_US composable
ghc-stm.i686: W: spelling-error-in-description en_US Haskell
ghc-stm.i686: W: unstripped-binary-or-object /usr/lib/ghc-6.12.1/stm-2.1.1.2/libHSstm-2.1.1.2-ghc6.12.1.so
ghc-stm.i686: W: executable-stack /usr/lib/ghc-6.12.1/stm-2.1.1.2/libHSstm-2.1.1.2-ghc6.12.1.so
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

Ignored.

[rakesh@dhcp1-96 SPECS]$ rpmlint /home/rakesh/rpmbuild/RPMS/i686/ghc-stm-devel-2.1.1.2-2.fc13.i686.rpm
ghc-stm-devel.i686: W: spelling-error-in-summary en_US Haskell
ghc-stm-devel.i686: W: spelling-error-in-summary en_US Transactional
ghc-stm-devel.i686: W: spelling-error-in-description en_US composable
ghc-stm-devel.i686: W: spelling-error-in-description en_US Haskell
ghc-stm-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

Ignored.

[rakesh@dhcp1-96 SPECS]$ rpmlint /home/rakesh/rpmbuild/RPMS/i686/ghc-stm-doc-2.1.1.2-2.fc13.i686.rpm
ghc-stm-doc.i686: W: spelling-error-in-summary en_US Haskell
ghc-stm-doc.i686: W: spelling-error-in-summary en_US Transactional
ghc-stm-doc.i686: W: spelling-error-in-description en_US composable
ghc-stm-doc.i686: W: spelling-error-in-description en_US Haskell
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

Ignored.

[rakesh@dhcp1-96 SPECS]$ rpmlint /home/rakesh/rpmbuild/RPMS/i686/ghc-stm-prof-2.1.1.2-2.fc13.i686.rpm
ghc-stm-prof.i686: E: devel-dependency ghc-stm-devel
ghc-stm-prof.i686: W: spelling-error-in-summary en_US Haskell
ghc-stm-prof.i686: W: spelling-error-in-summary en_US Transactional
ghc-stm-prof.i686: W: spelling-error-in-description en_US composable
ghc-stm-prof.i686: W: spelling-error-in-description en_US Haskell
ghc-stm-prof.i686: W: no-documentation
ghc-stm-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.1/stm-2.1.1.2/libHSstm-2.1.1.2_p.a
1 packages and 0 specfiles checked; 1 errors, 6 warnings.

Ignored.

[+] spec name fine
[+] license ok (copy present) and source has marking
[+] source tree ok (no binaries present)
[+] archs - fine
[+] spec file legible and in american english
[+] BR's ok
[+] %files ok
[+] folders owned - ok

main
/usr/lib/ghc-6.12.1/stm-2.1.1.2
/usr/share/doc/ghc-stm-2.1.1.2
devel
/usr/lib/ghc-6.12.1/stm-2.1.1.2
/usr/lib/ghc-6.12.1/stm-2.1.1.2/Control
/usr/lib/ghc-6.12.1/stm-2.1.1.2/Control/Concurrent
/usr/lib/ghc-6.12.1/stm-2.1.1.2/Control/Monad
/usr/lib/ghc-6.12.1/stm-2.1.1.2/Control/Sequential
doc
/usr/share/doc/ghc/html/libraries/stm-2.1.1.2

[+] source builds fine on fedora ghc archs
[+] no bundled dependencies
[+] %clean section ok
[+] filenames - ok (valid)
[+] profiling ok
[+] lib goes to %{_libdir}/ghc-%{ghc_version}/%{pkg_name}-%{version}
[+] new macros

APPROVED

Thanks,
Comment 5 Jens Petersen 2010-01-24 19:29:28 EST
(In reply to comment #3)
> urlgrabber.grabber.URLGrabError: [Errno 14] HTTP Error 404 :
> http://petersen.fedorapeople.org/ghc-stm/ghc-stm-2.1.1.2-2.fc12.src.rpm

(Sorry had forgotten the srpm into place: anyway the differences are
purely cosmetic)

Thanks for reviewing. :-)
Comment 6 Jens Petersen 2010-01-24 19:32:24 EST
New Package CVS Request
=======================
Package Name: ghc-stm
Short Description: Haskell Software Transactional Memory library
Owners: petersen
Branches: devel
InitialCC: haskell-sig
Comment 7 Jason Tibbitts 2010-01-27 00:20:53 EST
CVS done (by process-cvs-requests.py).
Comment 8 Jens Petersen 2010-01-27 02:17:11 EST
Package imported and building - thanks

http://koji.fedoraproject.org/koji/taskinfo?taskID=1947242
Comment 9 Jens Petersen 2010-10-05 00:22:11 EDT
Package Change Request
======================
Package Name: ghc-stm
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 10 Jason Tibbitts 2010-10-05 09:23:54 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.